发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:44:15

[原文]Squid Web Proxy Cache 2.3.STABLE5 allows remote attackers to bypass security controls and access arbitrary websites via "@@" sequences in a URL within Internet Explorer.

[CNNVD]National Science Foundation Squid Proxy Internet访问控制绕过漏洞(CNNVD-200412-641)

        Squid proxy的Internet访问控制处理存在问题,远程攻击者可以利用这个漏洞通过畸形URI绕过规则控制,访问受限资源。
        使用形式可绕过Squid proxy访问控制,访问Internet。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  XF  squid-url-bypass-security(16153)
(UNKNOWN)  BID  10315
(UNKNOWN)  BUGTRAQ  20040510 a litle bypass with IE

- 漏洞信息

National Science Foundation Squid Proxy Internet访问控制绕过漏洞
中危 访问验证错误
2004-12-31 00:00:00 2005-10-20 00:00:00
        Squid proxy的Internet访问控制处理存在问题,远程攻击者可以利用这个漏洞通过畸形URI绕过规则控制,访问受限资源。
        使用形式可绕过Squid proxy访问控制,访问Internet。

- 公告与补丁

        National Science Foundation

- 漏洞信息 (24105)

National Science Foundation Squid Proxy 2.3 Internet Access Control Bypass Vulnerability (EDBID:24105)
linux remote
2004-05-10 Verified
0 Nuno Costa
N/A [点击下载]

Squid proxy has been reported to be affected by an Internet access control bypass vulnerability. This issue is caused by a failure of the application to properly handle access controls when evaluating malformed URI requests.

This issue is reported to affect version 2.3.STABLE5 of the software, it is likely however that other versions are also affected.

This issue would allow users that are restricted from accessing Internet-based resources to access arbitrary web sites.		

- 漏洞信息

Squid Web Proxy Cache @@ Security Control Bypass
Remote / Network Access Infrastructure, Input Manipulation
Loss of Confidentiality
Exploit Public

- 漏洞描述

Squid 2.3.STABLE5 contains a flaw that may allow a malicious user to gain access to unauthorized access to arbitrary web sites. The issue is triggered when when evaluating malformed URI requests. This flaw may lead to a loss of Confidentiality.

- 时间线

2004-05-10 2005-05-10
2004-05-10 Unknow

- 解决方案

Upgrade to latest version , as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者